%global git_date  20250204
%global git_hash  7c6d165
%global git_ver  0.1.11

%global rel 1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           hyprcursor
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        The hyprland cursor format, library and utilities

License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprcursor
Source:		%{url}/%{src_name}
# test data
#Source:         HyprBibataModernClassicSVG.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(hyprlang)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(tomlplusplus)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Development files for %{name}.

%prep
%autosetup -n %{name} -p1
#sed 's/0\.1\.7/0.1.8/' -i CMakeLists.txt
#mkdir -p $HOME/.icons
#mv HyprBibataModernClassicSVG $HOME/.icons

%build
%cmake
%cmake_build

%install
%cmake_install

#%%check
#%%ctest

%files
%license LICENSE
%doc README.md
%{_bindir}/hyprcursor-util
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}.hpp
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
%autochangelog
